# Class CIM_InstModification
extends CIM_InstIndication

CIM_InstModification notifies when an instance is modified.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_InstIndication
|
+--CIM_InstModification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_InstModification notifies when an instance is modified.
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PreviousInstance | string |
Description | string | A copy of the 'previous' instance whose change generated the Indication. PreviousInstance contains 'older' values of an instance's properties (as compared to SourceInstance), selected by the IndicationFilter's Query.
EmbeddedObject | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
SourceInstance | string | CIM_InstIndication
SourceInstanceHost | string | CIM_InstIndication
SourceInstanceModelPath | string | CIM_InstIndication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods